package kcg.faics.tg.service.impl;

import java.util.List;

import kcg.faics.tg.vo.DivMngSearchVO;
import kcg.faics.tg.vo.DivMngVO;

import org.springframework.stereotype.Repository;

import egovframework.rte.psl.dataaccess.EgovAbstractMapper;

/**
 * 외사분실운영현황 관련 Mapper 클래스.
 * 
 * @author kimnomin
 *
 */
@Repository("divMngMapper")
public class DivMngMapper extends EgovAbstractMapper {
	
	/**
	 * 외사분실운영현황 정보를 반환한다.
	 * 
	 * @param vo
	 *            외사분실운영현황 VO
	 * @return 외사분실운영현황 정보
	 * @throws Exception
	 *             기본 예외 처리
	 */
	public DivMngVO select(final DivMngVO vo) throws Exception {
		return selectOne("DivMng.select", vo);
	}
	
	/**
	 * 외사분실운영현황 목록을 반환한다.
	 * 
	 * @param searchVO
	 *            검색조건 VO
	 * @return 치안대상 목록
	 */
	public List<DivMngVO> selectList(final DivMngSearchVO searchVO) {
		return selectList("DivMng.selectList", searchVO);
	}
	
	/**
	 * 외사분실운영현황 정보를 입력한다.
	 * 
	 * @param vo
	 *            입력할 외사분실운영현황 VO
	 * @return <code>1</code> 성공, <code>0</code> 실패
	 */
	public int insert(final DivMngVO vo) {
		return insert("DivMng.insert", vo);
	}
	
	/**
	 * 외사분실운영현황 정보를 삭제한다.
	 * 
	 * @param vo
	 *            외사분실운영현황 VO
	 * @return <code>1</code>성공, <code>0</code>실패
	 * @throws Exception
	 *             기본 예외 처리
	 */
	public int delete(final DivMngVO vo) throws Exception {
		return delete("DivMng.delete", vo);
	}

	/**
	 * 외사분실운영현황 정보를 수정한다.
	 * 
	 * @param vo
	 *            외사분실운영현황 VO
	 * @return <code>1</code>성공, <code>0</code>실패
	 * @throws Exception
	 *             기본 예외 처리
	 */
	public int update(final DivMngVO vo) throws Exception {
		return update("DivMng.update", vo);
	}
	
	/**
	 * Place별 DS_NO의 최대값을 반환한다.
	 * 
	 * @param vo
	 *            외사분실운영현황 VO
	 * @return place별 최대 DS_NO 값
	 * @throws Exception
	 *             기본 예외 처리
	 */
	public int selectMaxNo(final DivMngVO vo) throws Exception {
		return selectOne("DivMng.selectMaxNo", vo);
	}
}
